Loading...
Searching...
No Matches
janus_videoroom_rtp_forwarder Struct Reference
Collaboration diagram for janus_videoroom_rtp_forwarder:
[legend]

## Data Fields

void * | source
uint32_t | stream_id
gboolean | is_video
gboolean | is_data
uint32_t | ssrc
int | payload_type
int | substream
struct sockaddr_in | serv_addr
struct sockaddr_in6 | serv_addr6
int | rtcp_fd
uint16_t | local_rtcp_port
uint16_t | remote_rtcp_port
GSource * | rtcp_recv
gboolean | simulcast
janus_rtp_switching_context | context
janus_rtp_simulcasting_context | sim_context
gboolean | is_srtp
janus_videoroom_srtp_context * | srtp_ctx
char * | remote_id
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## context

janus_rtp_switching_context janus_videoroom_rtp_forwarder::context

## destroyed

volatile gint janus_videoroom_rtp_forwarder::destroyed

## is_data

gboolean janus_videoroom_rtp_forwarder::is_data

## is_srtp

gboolean janus_videoroom_rtp_forwarder::is_srtp

## is_video

gboolean janus_videoroom_rtp_forwarder::is_video

## local_rtcp_port

uint16_t janus_videoroom_rtp_forwarder::local_rtcp_port

## payload_type

int janus_videoroom_rtp_forwarder::payload_type

## ref

janus_refcount janus_videoroom_rtp_forwarder::ref

## remote_id

char* janus_videoroom_rtp_forwarder::remote_id

## remote_rtcp_port

uint16_t janus_videoroom_rtp_forwarder::remote_rtcp_port

## rtcp_fd

int janus_videoroom_rtp_forwarder::rtcp_fd

## rtcp_recv

GSource* janus_videoroom_rtp_forwarder::rtcp_recv

## serv_addr

struct sockaddr_in janus_videoroom_rtp_forwarder::serv_addr

## serv_addr6

struct sockaddr_in6 janus_videoroom_rtp_forwarder::serv_addr6

## sim_context

janus_rtp_simulcasting_context janus_videoroom_rtp_forwarder::sim_context

## simulcast

gboolean janus_videoroom_rtp_forwarder::simulcast

## source

void* janus_videoroom_rtp_forwarder::source

## srtp_ctx

janus_videoroom_srtp_context* janus_videoroom_rtp_forwarder::srtp_ctx

## ssrc

uint32_t janus_videoroom_rtp_forwarder::ssrc

## stream_id

uint32_t janus_videoroom_rtp_forwarder::stream_id

## substream

int janus_videoroom_rtp_forwarder::substream

The documentation for this struct was generated from the following file:

- janus_videoroom.c